Aaron Stebner's WebLog

Thoughts about setup and deployment issues, WiX, XNA, the .NET Framework and Visual Studio

Version of Avalon and Indigo that is compatible with .NET Framework 2.0 beta 2 is now available

Version of Avalon and Indigo that is compatible with .NET Framework 2.0 beta 2 is now available

  • Comments 9

I just noticed that there has been a new release candidate published for the Avalon and Indigo beta 1.  This package will work correctly with .NET Framework 2.0 beta 2 and will integrate into the IDE in VS 2005 beta 2.  This will eliminate the problems described in this previous blog post.  You can download this build by clicking here.  There is also a link on this page to an ISO image for an SDK that will provide documentation, samples and tools.

 

  • Hello, Could you give me direct download links of vs.net 2005 express editions?
    mail me: sfouladi@gmail.com
  • There is a set of links to the direct download locations for the VS 2005 beta 2 express editions at http://blogs.msdn.com/hgao/archive/2005/04/19/409660.aspx. Hope this helps!
  • Hi Aaron,

    Sorry to be posting this here. But, since this is your latest post, here i go...I have a few queries.

    I got the beta 2 DVD. Have the express editions been included in the DVD or even part of the team suite? or Should i download them from the site?

    Then, i am thinking of doing a fresh install on windows server 2003. So i guess, no worries about pre-beta 2 components. Is there any problem because of the presence of .net framework 1.1?

    I also want to install both VS2005 beta 2 and SQL Server 2005 April CTP. During beta 1 installation, i couldn't install sql server express after installing sql server 2005 beta 2. So, is there any order, i have to follow now, like one before the other? Which goes first?

    Can i install VS 2005 beta 2 in XP media center edition?

    Thank You,
    Balaji K.
  • To answer balajik's questions
    1)Express edition is not part of team suite though they share some components such as SQL Express. You should download Express editition from web at http://lab.msdn.microsoft.com/express
    Beta 2 known setup issues at

    2) Fresh install on windows server 2003 should work. VS2005 should co-exist with Framework 1.1

    3) Two different Beta versions of SQL server should not be on the same machine though you could have multiple instances of the same version of SQL such as SQL express edition and other edition of SQL products. However, only one instance of SQL Express can be installed. Trying to install the SSE with the same/default instance name will fail. VS 2005 install SQL express using the default instance name.
    VS Beta 2 includes SQL Express version 9.00.1116. I think it is same version as SQL 2005 April CTP. I need to verify that. If this is the case, then installing VS 2005 beta 2 should already give you SQL Express April CTP.
    In theory, SQL express edition and other SQL server edition could co-exist, but not all Express SKU allows this. Express Web developer SKU is an exception.

    4) You should be able to install VS 2005 beta 2 in XP media center edition.
  • Thanks very much, Hong!
  • Thanks Hong for posting these answers. One additional note I want to add here - we've had a couple of issues arise when installing VS 2005 beta builds on Windows XP Media Center Edition because the .NET Framework 2.0 updates policy registry keys and causes Media Center bits to use the 2.0 CLR instead of the 1.1 CLR and that has caused a couple of problems with Media Center functionality. We are fixing this in our upcoming release by adding the following policy files to %windir%\ehome:

    - ehexthost.exe.config
    - ehrec.exe.config
    - ehrecvr.exe.config
    - ehsched.exe.config
    - ehshell.exe.config
    - medctrro.exe.config

    You should be able to manually create these config files in notepad and include the following information in them to fix any potential issues:

    <configuration>
    <startup>
    <supportedRuntime version="v1.0.3705"/>
    <supportedRuntime version="v1.1.4322"/>
    </startup>
    </configuration>
  • Thanks Aaron! Let me elaborate my question about SQL 2005... During VS2005 beta 1 installation, i faced these problems:

    First, i installed SQL Server 2005 beta 2. Then, when i tried to install SQL Express, it wouldn't let me install it. It also didn't install as part of VS 2005 beta 1.

    Then, i formatted the drive and this time i installed VS 2005 beta 1 first. Now, SQL Express got installed as part of VS 2005. But when i tried to install SQL Server 2005 beta 2, it wouldn't let me install it.

    My question is...Can't SQL Server 2005 and SQL Express co-exist? My guess is that SQL server beta 2 and the SQL express of that time had different beta bits and that's why they couldn't co-exist. Now, what about the latest SQL Express and the SQL server 2005 april CTP? Do they have the same beta bits? Would they co-exist? Can i first install SQL express and then SQL server 2005 April CTP or vice-versa?

    Thanks for your time.
  • I discussed this scenario with the SQL setup team and there is a known issue and workaround that you should be able to use to resolve this problem. Please take a look at the steps that I list in this blog post and see if it will resolve this on your machine - http://blogs.msdn.com/astebner/archive/2005/06/02/424483.aspx

    Thanks!
  • Thank You! I'll try those steps!!
Page 1 of 1 (9 items)
Leave a Comment
  • Please add 4 and 2 and type the answer here:
  • Post